package com.warewms.controller;

import com.warewms.common.utils.R;
import com.warewms.entity.erp.ErpBarCodeList;
import com.warewms.entity.erp.ErpOrderList;
import com.warewms.service.impl.ErpSyncServiceImpl;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@Api("ERP测试")
@Controller
@RequestMapping("/erp/erpWriteData")
@Slf4j
public class ErpWriteBackController {

    @Autowired
    private ErpSyncServiceImpl erpSyncService;

    /**
     * ERP同步表
     *
     * @return
     */
    @ResponseBody
    @PostMapping("erpSync")
    public R erpSync() {
        erpSyncService.erpSync();
        return R.ok();
    }

    /**
     * 中间表写入数据（叉车扫描条码记录表）
     */
    @ApiOperation("中间表写入数据（叉车扫描条码记录表）")
    @ResponseBody
    @PostMapping("writeData")
    public String writeData(@RequestBody List<ErpBarCodeList> erpBarCodeListList) {
        return erpSyncService.writeBack(erpBarCodeListList);
    }

    /**
     * 中间表修改数据（需求单扫描状态修改）
     */
    @ApiOperation("中间表修改数据（需求单扫描状态修改）")
    @ResponseBody
    @PostMapping("updateOrderStatus")
    public String updateOrderStatus(@RequestBody ErpOrderList erpOrderList) {
        return erpSyncService.updateErpStatus(erpOrderList);
    }
}
