package com.warewms.service;

import com.warewms.common.utils.PageUtils;
import com.warewms.model.ScheduleJob;

import java.util.Map;

public interface ScheduleJobService extends BaseService<ScheduleJob> {

    PageUtils queryPage(Map<String, Object> params);

    /**
     * 保存定时任务
     */
    void save(ScheduleJob scheduleJob);

    /**
     * 更新定时任务
     */
    boolean update(ScheduleJob scheduleJob);

    /**
     * 批量删除定时任务
     */
    void deleteBatch(Long[] jobIds);

    /**
     * 批量更新定时任务状态
     */
    int updateBatch(Long[] jobIds, int status);

    /**
     * 立即执行
     */
    void run(Long[] jobIds);

    /**
     * 暂停运行
     */
    void pause(Long[] jobIds);

    /**
     * 恢复运行
     */
    void resume(Long[] jobIds);
}